Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMMethod

    java.lang.Object
      |
      +--com.sun.wbem.cim.CIMElement
            |
            +--com.sun.wbem.cim.CIMMethod

public class CIMMethod
extends CIMElement
implements java.lang.Cloneable

Creates and instantiates a CIM method.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`CIMMethod()` Creates and instantiates a CIM method.
`CIMMethod(java.lang.String name)` Creates and instantiates a CIM method with the specified name.

Method Summary
`java.lang.Object` | `clone()` Returns an object that is a copy of this CIM method.
`java.lang.Object` | `clone(boolean includeQualifier, boolean includeClassOrigin)` Returns an object that is a copy of this CIM method.
`java.lang.String` | `getOriginClass()` Returns the class in which this method was defined.
`java.lang.String` | `getOverridingMethod()` Gets the name of the overriding method for this method.
`java.util.Vector` | `getParameters()` Returns the list of parameters for this method
`CIMQualifier` | `getQualifier(java.lang.String name)`
`java.util.Vector` | `getQualifiers()` Returns the list of qualifiers for this method
`int` | `getSize()` Returns the size of this method's return value
`CIMDataType` | `getType()` Returns the data type of this method's return value
`void` | `setOriginClass(java.lang.String originClass)` Sets the class in which this method was defined.
`void` | `setOverridingMethod(java.lang.String name)` Sets the name of the overriding method for this method.
`void` | `setParameters(java.util.Vector pTable)` Sets the list of parameters for this method to the specified list of parameters
`void` | `setQualifiers(java.util.Vector qTable)` Sets the list of qualifiers for this method to the specified list of qualifiers
`void` | `setSize(int size)` Sets the size of this method's return type to the specified size
`void` | `setType(CIMDataType type)` Sets the data type of this method's return value to the specified CIM data type.
`java.lang.String` | `toMOF()` Returns a MOF representation of the CIMMethod
`java.lang.String` | `toString()` Returns a String representation of the CIMMethod.
`java.lang.String` | `toXml()` Returns an XML representation of this CIM method.

Methods inherited from class com.sun.wbem.cim.CIMElement
`assign, equals, getName, lessThan, setName`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIMMethod

    public CIMMethod()

  Creates and instantiates a CIM method.

### CIMMethod

    public CIMMethod(java.lang.String name)

  Creates and instantiates a CIM method with the specified name.
  Parameters:
    `name` - Name of an existing CIM method

Method Detail

### setQualifiers

    public void setQualifiers(java.util.Vector qTable)

  Sets the list of qualifiers for this method to the specified list of qualifiers
  Parameters:
    `qTable` - list of qualifiers to be assigned to the method

### getQualifiers

    public java.util.Vector getQualifiers()

  Returns the list of qualifiers for this method
  Returns:
    Vector list of qualifiers for this method

### getQualifier

    public CIMQualifier getQualifier(java.lang.String name)

  Parameters:
    `name` - The name of the qualifier to get.
  Returns:
    Null if the qualifier does not exist, otherwise returns the reference to the qualifier.

### getOriginClass

    public java.lang.String getOriginClass()

  Returns the class in which this method was defined.
  Returns:
    String Name of class where this property was defined.

### setOriginClass

    public void setOriginClass(java.lang.String originClass)

  Sets the class in which this method was defined.
  Parameters:
    `originClass` - The name of the class in which this property is defined.

### setParameters

    public void setParameters(java.util.Vector pTable)

  Sets the list of parameters for this method to the specified list of parameters
  Parameters:
    `pTable` - list of parameters to be assigned to this method

### getParameters

    public java.util.Vector getParameters()

  Returns the list of parameters for this method
  Returns:
    Vector list of this method's parameters

### setType

    public void setType(CIMDataType type)

  Sets the data type of this method's return value to the specified CIM data type.
  Parameters:
    `type` - the CIM data type assigned to the method's return value.

### getType

    public CIMDataType getType()

  Returns the data type of this method's return value
  Returns:
    CIMDataType the CIM data type of this method's return value

### getSize

    public int getSize()

  Returns the size of this method's return value
  Returns:
    int the integer value of the size of the method's return value

### setSize

    public void setSize(int size)

  Sets the size of this method's return type to the specified size
  Parameters:
    `size` - the integer size assigned to this method's return value

### setOverridingMethod

    public void setOverridingMethod(java.lang.String name)

  Sets the name of the overriding method for this method.
  Parameters:
    `name` - The string name of the overriding method for this method.

### getOverridingMethod

    public java.lang.String getOverridingMethod()

  Gets the name of the overriding method for this method.
  Returns:
    String The name of the overriding method for this method.

### toString

    public java.lang.String toString()

  Returns a String representation of the CIMMethod. This method is intended to be used only for debugging purposes, and the format of the returned string may vary between implementations. The returned string may be empty but may not be null.
  Overrides:
    toString in class CIMElement
  Returns:
    string representation of this method

### toMOF

    public java.lang.String toMOF()

  Returns a MOF representation of the CIMMethod
  Returns:
    a string representation of this method in Managed Object Format (MOF)

### clone

    public java.lang.Object clone()

  Returns an object that is a copy of this CIM method. This method calls clone(boolean includeQualifier, boolean includeClassOrigin) with the true values, which indicates that this CIM method contains qualfiiers and class origin.
  Returns:
    An object that is a copy of this CIM method.

### clone

    public java.lang.Object clone(boolean includeQualifier,
                                  boolean includeClassOrigin)

  Returns an object that is a copy of this CIM method.
  Parameters:
    `includeQualifier` - A boolean that is true if this CIM method contains CIM qualifiers, otherwise false.
    `includeClassOrigin` - A boolean that is true if this method contains the class origin
  Returns:
    An object that is a copy of this CIM method.

### toXml

    public java.lang.String toXml()

  Returns an XML representation of this CIM method.
  Returns:
    An XML representation of this CIM method, using XML elements from the default XML namespace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD